/* Render.h
 * ----------
 * This file contains all the prototypes, structers and variables used and defined by Render.cpp
 */

struct SSurface {
	unsigned char *Surface;

	unsigned int Pitch;
	unsigned int Width, Height;
};

typedef void (*TRenderMethod)( SSurface Src, SSurface Dst);

void SelectRenderMethod();

extern TRenderMethod RenderMethod;
