#ifdef __cplusplus
extern "C" {
#endif

int sx_sb_detect(int *stereo, int *bits16);
int sx_sb_init(int *stereo, int *bits16, int *freq, int *dmamixsize);
void sx_sb_exit();
void sx_sb_mix_some_samples(unsigned long buf, unsigned short seg);
void sx_sb_unmute_sound();
void sx_sb_mute_sound();
extern char sx_sb_desc[80];

void _sb_dma_start(int channel, unsigned long addr, int size, int auto_init);
unsigned long _sb_dma_todo(int channel);
int _sb_dma_allocate_mem(int bytes, int *sel, unsigned long *phys);
void _sb_dma_stop(int channel);

int _sb_install_irq(int num, int (*handler)());
void _sb_remove_irq(int num);
void _sb_dma_lock_mem();

#ifdef __cplusplus
}
#endif
